import { SensorValue } from "./SensorValue";
export declare class Message {
    id: number;
    value: SensorValue;
    constructor(value: SensorValue, id: number);
    parse(toParse: ArrayBuffer): boolean;
}
declare class StreamMessageSensorValue extends SensorValue {
    size: number;
    getBasicSensorValues(): never[];
    name: string;
    outputBuffer: string[];
    onMessage: (s: string) => void;
    parse(m: ArrayBuffer): boolean;
    serialize(): ArrayBuffer;
    constructor(size?: number, onMessage?: (s: string) => void);
}
export declare class StreamMessage extends Message {
    _value: StreamMessageSensorValue;
    constructor(onMessage?: (s: string) => void);
    append(message: string): void;
    /**encode all buffered messages to an Arraybuffer, remove them from the queue and return the buffer */
    encodeAndFlush(): Uint8Array;
}
export {};
