import { NumberType, SensorValue } from "./SensorValue";
declare type AbstractSensorValueDTO = {
    name: string;
    size: number;
};
export interface BasicSensorValueDTO extends AbstractSensorValueDTO {
    type: NumberType;
}
export interface SensorValueListDTO extends AbstractSensorValueDTO {
    values: SensorValueDTO[];
}
declare type SensorValueDTO = BasicSensorValueDTO | SensorValueListDTO;
export declare function isBasicSensorValueDTO(toCheck: any): toCheck is BasicSensorValueDTO;
export declare function isBasicSensorValueDTOConstrained(toCheck: SensorValueDTO): toCheck is BasicSensorValueDTO;
export declare function isSensorValueDTO(toCheck: any): toCheck is SensorValueDTO;
export declare function isSensorValueListDTO(toCheck: any): toCheck is SensorValueListDTO;
export declare function toSensorValue(dto: SensorValueDTO): SensorValue;
export {};
